Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Auth connection ID

Body

application/json

Request to start a login flow

proxy
object

Proxy selection. Provide either id or name. The proxy must belong to the caller's org.

record_session
boolean

Override the connection's default for recording this login's browser session. When omitted, the connection's record_session default is used.

Example:

true

Response

Login flow started

Response from starting a login flow

id
string
required

Auth connection ID

Example:

"ma_abc123xyz"

flow_type
enum<string>
required

Type of login flow started

Available options:
LOGIN,
REAUTH
Example:

"LOGIN"

hosted_url
string<uri>
required

URL to redirect user to for login

Example:

"https://auth.kernel.com/login/abc123xyz"

flow_expires_at
string<date-time>
required

When the login flow expires

Example:

"2025-11-05T20:00:00Z"

handoff_code
string

One-time code for handoff (internal use)

Example:

"aBcD123EfGh456IjKl789MnOp012QrStUvWxYzAbCdEf"

live_view_url
string<uri>

Browser live view URL for watching the login flow

Example:

"https://live.onkernel.com/abc123xyz"